import { configureTemplates } from "@app/templates";
declare type CorsResourceType = "anonymous" | "use-credentials" | boolean;
interface InlineElementsConfig {
    script?: boolean;
}
interface CorsElementsConfig {
    audio?: CorsResourceType;
    link?: CorsResourceType;
    img?: CorsResourceType;
    script?: CorsResourceType;
    video?: CorsResourceType;
}
interface RenderHtmlConfig {
    inline?: InlineElementsConfig;
    cors?: CorsElementsConfig;
}
declare let appSourceConfig: {
    inline: {
        script: boolean;
    };
    cors: {
        script: string | boolean;
        link: string | boolean;
        img: string | boolean;
        audio: string | boolean;
        video: string | boolean;
    };
};
declare function configureAgent(): void;
declare function fetchFrame(model: any): Promise<string | undefined>;
declare function configureResourceControl(appConfig: RenderHtmlConfig): void;
declare function createIframe(_req: any, res: any, next: any): void;
export { appSourceConfig, configureAgent, configureResourceControl, configureTemplates, fetchFrame, };
export default createIframe;
